Package org.apache.torque.generator.source

## Class SourcePathTest.Root

- java.lang.Object
- - org.apache.torque.generator.source.SourcePathTest.Root

- Enclosing class:
    SourcePathTest

      public static class SourcePathTest.Root
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `List<SourcePathTest.Child>` | `childList` |
    `String` | `fieldValue` |
    `List<String>` | `stringList` |
    `String` | `value` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Root()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SourcePathTest.Child` | `getChild()` |
    `List<String>` | `getPropertyList()` |
    `String` | `getPropertyValue()` |
    `String` | `getValue()` |
    `void` | `setChild​(SourcePathTest.Child child)` |
    `void` | `setPropertyValue​(String v)` |
    `void` | `setValue​(String v)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stringList

          public List<String> stringList

    - #### childList

          public List<SourcePathTest.Child> childList

    - #### fieldValue

          public String fieldValue

    - #### value

          public String value

  - ### Constructor Detail

    - #### Root

          public Root()

  - ### Method Detail

    - #### getPropertyList

          public List<String> getPropertyList()

    - #### getPropertyValue

          public String getPropertyValue()

    - #### setPropertyValue

          public void setPropertyValue​(String v)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue​(String v)

    - #### getChild

          public SourcePathTest.Child getChild()

    - #### setChild

          public void setChild​(SourcePathTest.Child child)